#include <stdlib.h>
#include <stdio.h>

int func1(int);
int func2(int);
int func3(int);
int num1=1;
int num2=2;
int num3=3;

typedef struct strfunptr {
   int (*func_a)(int);
   int (*func_b)(int);
   int (*func_c)(int);
}sfptr;

sfptr jump_table __attribute__ ((section (".FUNC_TABLE")))= {func1, func2, func3};

int main(void) {

	printf("func1(30)=%d\n",jump_table.func_a(30));
	printf("func2(30)=%d\n",jump_table.func_b(30));
	printf("func3(30)=%d\n",jump_table.func_c(30));

	return EXIT_SUCCESS;
}

int func1(int x){
	return x*num1;
}
int func2(int x){
	return x*num2;
}
int func3(int x){
	return x*num3;
}
